package com.hai.service;

import com.hai.entity.HighActivityAwardSerialNum;

import java.util.List;

/**
 *
 * @author hurui
 */
public interface HighActivityAwardSerialNumService {


    /**
     * 修改数据
     * @param serialNum
     */
    void update(HighActivityAwardSerialNum serialNum);

    /**
     * 根据id查询详情
     * @param id
     * @return
     */
    HighActivityAwardSerialNum getDetail(Long id);

    /**
     * 查询未中奖的编号
     * @param activityId
     * @return
     */
    List<HighActivityAwardSerialNum> getNoGainListByActivity(Long activityId);

}
